> For the complete documentation index, see [llms.txt](https://docs.volven.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.volven.io/api/environment.md).

# Environment

There are three environments that Volven infrastructure operates on:

* DEV (Development environment)
* TEST (Testing environment)
* PROD (Production environment)

Base URL for API connection is:

* `https://apigw.<env>.volven.net` for HTTP &#x20;
* `wss://apigw.<env>.volven.net` for WebSocket&#x20;

where `<env>` is `dev`, `test`, `prod` depending on the environment you want to connect.\
For example, base URL for production is `https://apicf.prod.volven.net`.

{% hint style="warning" %}
TLS layer is required for every API endpoint and trying to access insecure `http://` or `ws://` schema will end up with `301 Moved Permanently` returned with redirection to `https://` or `wss://`
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.volven.io/api/environment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
